//*****************************************************************
//  
//  Copyright, IDAutomation.com, Inc. 2000-2004. All rights reserved.
//  
//  http://www.IDAutomation.com/
//  
//  NOTICE:
//  You may incorporate our Source Code in your application
//  only if you own a valid Java Barcode Package License
//  from IDAutomation.com, Inc. and the copyright notices 
//  are not removed from the source code.
//  
//
//*****************************************************************

import java.io.*;
import com.idautomation.pdf417.*;
import com.idautomation.pdf417.encoder.*;

class PDFByteExample

{
    public static void main ( String [] args )
    {
		//Generate the byte array
		byte[] myByteArray = new byte[256];
		for (int i = 0; i < 256; i++) 
		{
			myByteArray[i] = (byte) i;
		}

		PDF417 bc=new PDF417();

		bc.binaryCode=myByteArray;
		bc.processTilde=false;
		bc.PDFMode=0;
		bc.PDFColumns=5;
		bc.PDFECLevel=4;

		// create the file as the name of the message
		barCodeEncoder bce = new barCodeEncoder(bc, "GIF", "PDFByteExample.gif");
		System.exit(0);
    }

}
